Search documentation of ExStreamClient

# ExStreamClient.Model.Policy (ExStreamClient v0.1.10)

View Source

Schema representing a Policy

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.Policy{
      action: integer(),
      created_at: float(),
      name: String.t(),
      owner: boolean(),
      priority: integer(),
      resources: [String.t()],
      roles: [String.t()],
      updated_at: float()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()